The officially official Devuan Forum!

You are not logged in.

#1 2022-03-06 07:06:00

amaro
Member
Registered: 2022-02-08
Posts: 47  

[SOLVED] surf browser lots of warnings

Hello everybody!

I started using 'surf' browser for fakebook and it works fine.
But every time I get the same warnings

** (surf:6000): WARNING **: 06:35:16.310: Could not open /sys/class/dmi/id/chassis_type: Failed to open file “/sys/class/dmi/id/chassis_type”: Permission denied

** (surf:6000): WARNING **: 06:35:16.311: Could not open /sys/firmware/acpi/pm_profile: Failed to open file “/sys/firmware/acpi/pm_profile”: Permission denied

** (surf:6000): WARNING **: 06:35:16.323: webkit_web_context_set_additional_plugins_directory is deprecated and does nothing. Netscape plugins are no longer supported.

** (surf:6000): WARNING **: 06:35:16.323: webkit_web_context_set_additional_plugins_directory is deprecated and does nothing. Netscape plugins are no longer supported.

** (WebKitWebProcess:6013): WARNING **: 06:35:23.376: Could not open /sys/class/dmi/id/chassis_type: Failed to open file “/sys/class/dmi/id/chassis_type”: Permission denied

** (WebKitWebProcess:6013): WARNING **: 06:35:23.377: Could not open /sys/firmware/acpi/pm_profile: Failed to open file “/sys/firmware/acpi/pm_profile”: Permission denied

(process:6004): GVFS-WARNING **: 06:35:24.761: can't init metadata tree /home/vb/.local/share/gvfs-metadata/home: open: Permission denied

(process:6004): GVFS-WARNING **: 06:35:49.399: can't init metadata tree /home/vb/.local/share/gvfs-metadata/home: open: Permission denied
Xlib: sequence lost (0x137f6 > 0x37f8) in reply type 0x0!
Xlib: sequence lost (0x137fb > 0x37fd) in reply type 0x0!
Xlib: sequence lost (0x13800 > 0x3802) in reply type 0x0!
Xlib: sequence lost (0x13805 > 0x3807) in reply type 0x0!

(WebKitWebProcess:6013): GStreamer-WARNING **: 07:35:45.922: failed to create thread: Error creating thread: Resource temporarily unavailable

Any suggestions how to address them?
Thank you in advance?

Last edited by amaro (2022-03-08 19:17:54)

Offline

#2 2022-03-07 13:22:56

Ogis1975
Member
Registered: 2017-04-21
Posts: 246  
Website

Re: [SOLVED] surf browser lots of warnings

The version found in the official application repository has a major drawback- youtube website does not work with this browser. The problem is that using an open source video driver (nouveau), this browser hangs an xorg session. Only a magic key combination-

reisub

helps.  With closed source video driver browser simple crashed. This problem has been known for four years (in Debian bug tracker) however, it has not been corrected. You can try to download the latest version of this program and compile it yourself. By the way, you can run surf from the build directory without installing it. By the way, I'm using the latest version (2.1) of this browser and I don't see any such error messages.


What economists call over-production is but a production that is above the purchasing power of the worker, who is reduced to poverty by capital and state.
            ----+- Peter Kropotkin -+----

Offline

#3 2022-03-08 19:16:31

amaro
Member
Registered: 2022-02-08
Posts: 47  

Re: [SOLVED] surf browser lots of warnings

apt show surf
Package: surf
Version: 2.0+git20201107-2
Priority: optional
Section: web
Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Installed-Size: 111 kB
Provides: www-browser
Depends: libc6 (>= 2.4), libgcr-base-3-1 (>= 3.8.0), libgcr-ui-3-1 (>= 3.8.0), libglib2.0-0 (>= 2.28.0), libgtk-3-0 (>= 3.19.12), libjavascriptcoregtk-4.0-18, libwebkit2gtk-4.0-37 (>= 2.21.1), libx11-6
Recommends: stterm | x-terminal-emulator, curl, suckless-tools (>= 43-1~), x11-utils
Suggests: apparmor
Homepage: https://surf.suckless.org
Tag: implemented-in::c, interface::graphical, interface::x11,
 network::client, protocol::http, role::program, scope::utility,
 uitoolkit::gtk, use::browsing, web::browser, works-with-format::html,
 x11::application
Download-Size: 30.6 kB
APT-Manual-Installed: yes
APT-Sources: http://devuan.ipacct.com/devuan/merged chimaera/main i386 Packages
Description: Simple web browser by suckless community
 surf is a simple web browser based on WebKit/GTK+. It is able to display
 websites and follow links. It supports the XEmbed protocol which makes it
 possible to embed it in another application. Furthermore, one can point surf to
 another URI by setting its XProperties.

Got 2.1 from their site.
How to run it without installing? Any tips?

Offline

#4 2022-03-08 19:19:06

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 2,326  

Re: [SOLVED] surf browser lots of warnings

git clone https://git.suckless.org/surf
cd surf
make -j$(nproc)
./surf

To obtain a root shell use su -. Using just su will result in "command not found" messages.

Offline

#5 2022-03-08 19:31:15

amaro
Member
Registered: 2022-02-08
Posts: 47  

Re: [SOLVED] surf browser lots of warnings

$ make -j$(nproc)
surf build options:
cp config.def.h config.h
CC            = c99
c99 -fPIC `pkg-config --cflags x11` `pkg-config --cflags gtk+-3.0 gcr-3 webkit2gtk-4.0` -DVERSION=\"2.1\" -DGCR_API_SUBJECT_TO_CHANGE  -DLIBPREFIX=\"/usr/local/lib\" -DWEBEXTDIR=\"/usr/local/lib/surf\"  -D_DEFAULT_SOURCE -O1 -c surf.c
Package x11 was not found in the pkg-config search path.
Perhaps you should add the directory containing `x11.pc'
to the PKG_CONFIG_PATH environment variable
No package 'x11' found
Package gtk+-3.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gtk+-3.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gtk+-3.0' found
Package gcr-3 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gcr-3.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gcr-3' found
Package webkit2gtk-4.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `webkit2gtk-4.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'webkit2gtk-4.0' found
Package x11 was not found in the pkg-config search path.
Perhaps you should add the directory containing `x11.pc'
to the PKG_CONFIG_PATH environment variable
No package 'x11' found
CFLAGS        = -fPIC   -DVERSION="2.1" -DGCR_API_SUBJECT_TO_CHANGE  -DLIBPREFIX="/usr/local/lib" -DWEBEXTDIR="/usr/local/lib/surf"  -D_DEFAULT_SOURCE -O1
Package gtk+-3.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gtk+-3.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gtk+-3.0' found
Package webkit2gtk-4.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `webkit2gtk-4.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'webkit2gtk-4.0' found
Package webkit2gtk-web-extension-4.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `webkit2gtk-web-extension-4.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'webkit2gtk-web-extension-4.0' found
Package gio-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gio-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gio-2.0' found
Package gcr-3 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gcr-3.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gcr-3' found
Package webkit2gtk-4.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `webkit2gtk-4.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'webkit2gtk-4.0' found
WEBEXTCFLAGS  = -fPIC  -O1
LDFLAGS       = 
c99 -fPIC `pkg-config --cflags webkit2gtk-4.0 webkit2gtk-web-extension-4.0 gio-2.0` -O1 -c webext-surf.c
Package webkit2gtk-4.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `webkit2gtk-4.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'webkit2gtk-4.0' found
Package webkit2gtk-web-extension-4.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `webkit2gtk-web-extension-4.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'webkit2gtk-web-extension-4.0' found
Package gio-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gio-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gio-2.0' found
surf.c:9:10: fatal error: glib.h: No such file or directory
    9 | #include <glib.h>
      |          ^~~~~~~~
compilation terminated.
make: *** [Makefile:31: surf.o] Error 1
make: *** Waiting for unfinished jobs....
webext-surf.c:9:10: fatal error: gio/gio.h: No such file or directory
    9 | #include <gio/gio.h>
      |          ^~~~~~~~~~~
compilation terminated.
make: *** [Makefile:37: webext-surf.o] Error 1

some package are missing but are not available

# apt search webkit2gtk
Sorting... Done
Full Text Search... Done
libwebkit2gtk-4.0-37/stable,now 2.34.1-1~deb11u1 i386 [installed]
  Web content engine library for GTK

libwebkit2gtk-4.0-dev/stable 2.34.1-1~deb11u1 i386
  Web content engine library for GTK - development files

libwebkit2gtk-4.0-doc/stable 2.34.1-1~deb11u1 all
  Web content engine library for GTK - documentation

webkit2gtk-driver/stable 2.34.1-1~deb11u1 i386
  WebKitGTK WebDriver support
# apt search webkit2gtk-web-extension gio
Sorting... Done
Full Text Search... Done
# apt search x11 | grep installed
x11-apps/stable,now 7.7+8 i386 [installed,automatic]
x11-common/stable,now 1:7.7+22 all [installed,automatic]
x11-session-utils/stable,now 7.7+4 i386 [installed,automatic]
x11-utils/stable,now 7.7+5 i386 [installed,automatic]
x11-xkb-utils/stable,now 7.7+5 i386 [installed,automatic]
x11-xserver-utils/stable,now 7.7+8 i386 [installed,automatic]
xclip/stable,now 0.13-2 i386 [installed,automatic]
xdotool/stable,now 1:3.20160805.1-4 i386 [installed]
xfce4-session/stable,now 4.16.0-1+devuan1 i386 [installed,automatic]
xfce4-terminal/stable,now 0.8.10-1 i386 [installed,automatic]
xkb-data/stable,now 2.29-2 all [installed,automatic]
xkbset/stable,now 0.6-1 i386 [installed,automatic]
xserver-xorg-video-ati/stable,now 1:19.1.0-2 i386 [installed,automatic]
# apt search grc-3
Sorting... Done
Full Text Search... Done
# apt search gtk+-3.0 | grep installed

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

gir1.2-gtk-3.0/stable,now 3.24.24-4 i386 [installed,automatic]
libgtk-3-0/stable,now 3.24.24-4 i386 [installed,automatic]

Last edited by amaro (2022-03-08 19:40:43)

Offline

#6 2022-03-08 19:47:31

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 2,326  

Re: [SOLVED] surf browser lots of warnings

# apt build-dep surf

Then run the make command again.

Build dependencies can be removed afterwards with

# apt purge --autoremove '*-dev'

but that will remove all -dev packages. If you don't want that (check the list before accepting the removal) then use the APT history to delete them manually. Or just leave them installed, they only take up a few hundred MiB of disk space.

EDIT: or use

# apt install devscripts dpkg-dev
$ apt source surf
$ cd surf-*
# mk-build-deps --install --remove

Then build surf from git and remove the dependencies afterwards with

# apt purge --autoremove surf-build-deps devscripts dpkg-dev

EDIT2: always check the output before accepting when --autoremove is passed because you might fall victim to the metapackage problem.

Last edited by Head_on_a_Stick (2022-03-08 19:57:01)


To obtain a root shell use su -. Using just su will result in "command not found" messages.

Offline

#7 2022-03-08 19:56:05

andyprough
Member
Registered: 2019-10-19
Posts: 235  

Re: [SOLVED] surf browser lots of warnings

Head_on_a_Stick wrote:
# apt build-dep surf

Then run the make command again.

Build dependencies can be removed afterwards with

# apt purge --autoremove '*-dev'

but that will remove all -dev packages. If you don't want that (check the list before accepting the removal) then use the APT history to delete them manually. Or just leave them installed, they only take up a few hundred MiB of disk space.

You are just a never ending fountain of knowledge, aren't you? When are you going to start your own youtube channel and knock distrotube and Luke Smith off their high perches? They don't know 1/10th the stuff that you do.

I am definitely taking notes on this.


Primary Computer - Commodore 64: Processor - MOS 6510/8500, 1.023MHz; Memory - 64kb RAM, 20kB ROM - 8k BASIC V2, 8k Kernel, 4k Character ROM; Display output - 320x200, 16 colours; OS - BASIC V2.0; Weight: 1.8kg

Offline

#8 2022-03-08 20:18:32

amaro
Member
Registered: 2022-02-08
Posts: 47  

Re: [SOLVED] surf browser lots of warnings

@Head_on_a_Stick
Thank you, HoaS!
Used the first option and everything went fine. Surf works, no more warnings.
For the record, needed to add 'deb-src' to 'sources.list'.

Offline

Board footer